petsc-3.4.2 2013-07-02

# PetscObjectPrintTypeNamePrefix

used in the XXXView() methods to display information about the class, name, prefix and type of an object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectPrintClassNamePrefixType(PetscObject obj,PetscViewer viewer,const char string[])

### Input Parameters

| obj | - the PETSc object
| viewer | - ASCII viewer where the information is printed
| string | - for example "Matrix Object"

### See Also

PetscObjectSetName(), PetscObjectName()

Level:developer
Location:src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages